package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdIndexDetailsDTO implements Serializable {

    private static final long serialVersionUID = 607224418057416L;

    private Integer id;

    private Integer indexPortion;

    private Integer detailOrder;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer columnIdFk;

    private Integer indexIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getIndexPortion() {
    return indexPortion;
    }

        public void setIndexPortion(Integer indexPortion) {
    this.indexPortion = indexPortion;
    }

        public Integer getDetailOrder() {
    return detailOrder;
    }

        public void setDetailOrder(Integer detailOrder) {
    this.detailOrder = detailOrder;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getColumnIdFk() {
    return columnIdFk;
    }

        public void setColumnIdFk(Integer columnIdFk) {
    this.columnIdFk = columnIdFk;
    }

        public Integer getIndexIdFk() {
    return indexIdFk;
    }

        public void setIndexIdFk(Integer indexIdFk) {
    this.indexIdFk = indexIdFk;
    }

}